create user frida;
create database frida owner frida;
\c frida frida;


BEGIN;

CREATE SEQUENCE frida_gps_seq;

CREATE TABLE waypoint (
  id integer default nextval('frida_gps_seq') primary key,
  ctime timestamptz default now(),

  lat numeric, -- decimal degrees
  long numeric, -- decimal degrees
  alt numeric, -- meters
  track numeric, -- meters?
  speed numeric, -- km/h? m/s?

  fixtime timestamptz, -- this we get from the GPS in UTC. send to db as YYYY-MM-DD HH:MM:SS+00

  status int, -- 1-fix, 2-dgps fix
  mode int, -- 2-2d fix, 3-3d fix
  quality int, -- why is this always 12?
  pdop numeric, -- dop seems to work
  hdop numeric, 
  vdop numeric,
  satstat integer -- references satstat(id)
);

CREATE TABLE satstat (
  id integer default nextval('frida_gps_seq') primary key,
  ctime timestamptz default now(),
  used integer
);

CREATE TABLE satellite (
  satstat integer not null,
  prn integer,
  elev integer,
  azim integer,
  snr integer,
  used bool

);

ALTER TABLE satellite ADD PRIMARY KEY (satstat, prn);

CREATE TABLE magellan (
  id integer default nextval('frida_gps_seq'),
  ctime timestamptz default now(),
  battery numeric
);

COMMIT;
ROLLBACK;


