/*
 * Copyright (c) 2004 Luka Frelih 
 * This is the Frida V. control panel getter/setter.
 *
 * Copyright (c) 2003 The Regents of the University of California.  All 
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *
 * - Neither the name of the University nor the names of its
 *   contributors may be used to endorse or promote products derived
 *   from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
 

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "parapin.h"

int pins_in[] = { 1, 11, 12, 13, 14, 15, -1};
int pins_out[] = { 2, 3, 4, 5, 6, -1};

int main(int argc, char *argv[])
{
  int i;

  if (pin_init_user(LPT1) < 0)
    exit(0);

  pin_output_mode(LP_DATA_PINS);
  pin_input_mode(LP_SWITCHABLE_PINS|LP_ALWAYS_INPUT_PINS);

//  for (i = 0; i < 6; i++)
//    printf("Pin %d: %s\n", pins_in[i], pin_is_set(LP_PIN[pins_in[i]]) ? "HIGH":"LOW");
//  printf("\n\n");

// READ BUTTON
  printf("BTN: %s\n",pin_is_set(LP_PIN01)?"0":"1");
// RESET BUTTON
  set_pin(LP_PIN02);

// DECODE RECORDING SELECTOR
  int switch1;
  switch1 = 
	(!pin_is_set(LP_PIN11)) +
	(2 * (!pin_is_set(LP_PIN12)));

// DECODE KEYWORD SELECTOR
  int switch2;  	
  switch2 = 
	(!pin_is_set(LP_PIN13)) +
	(2 * (!pin_is_set(LP_PIN14)))+
	(4 * (!pin_is_set(LP_PIN15)));

  printf( "SW1: %d\nSW2: %d\n",switch1,switch2);

  for (i=1;i<argc;i++) { 
    if (!strcmp(argv[i],"on")) {
      set_pin(LP_PIN[i+2]);
      printf("LED%d on\n",i);	
    } else {			
      clear_pin(LP_PIN[i+2]);
      printf("LED%d off\n",i);	
    }
  }

// ENABLE BUTTON
  clear_pin(LP_PIN02);

  return 0;

}
